import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

import {InputSize,Currency} from "./Utils"

import YBIC from './YBIC'
const FormItem = Form.Item;
const Option = Select.Option


export default class T51C extends Component
{

    name='51C'
    desp = "Sending Institution"
    
    pattern = ""
    tno = -1
    keys=[1]

    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        
        let mval = ""
        if(obj.s1)
            mval = obj.s1
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}

        return (
        <Row>
            <Col >
            <FormItem
                 label="Identifier Code"  
                 required={this.props.status=='M' || mval?'required':null}
                 help={errmsg.s1}
                 validateStatus={errmsg.s1?'error':null}
                >
                        <Input addonAfter={ <YBIC onSelect={obj=>this.onChange(1,obj.bic)} /> } maxLength={16} style={{imeMode:'disabled'}} placeholder="Identifier Code" value={value.s1} onChange={(e)=>this.onChange(1,e.target.value)}/>
                        
                </FormItem>
            </Col>
            
        </Row>

        )
    }
}